Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 918665 (CVE-2023-5528) - sys-cluster/kubelet: privilege escalation in windows nodes
Summary: sys-cluster/kubelet: privilege escalation in windows nodes
Status: CONFIRMED
Alias: CVE-2023-5528
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: C1 [ebuild]
Keywords:
Depends on:
Blocks:
 
Reported: 2023-11-27 17:22 UTC by Christopher Fore
Modified: 2023-11-27 18:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Fore 2023-11-27 17:22:12 UTC
CVE-2023-5528 (https://groups.google.com/g/kubernetes-security-announce/c/SL_d4NR8pzA)

A security issue was discovered in Kubernetes where a user that can create pods and persistent volumes on Windows nodes may be able to escalate to admin privileges on those nodes. Kubernetes clusters are only affected if they are using an in-tree storage plugin for Windows nodes.
Comment 1 John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2023-11-27 18:34:36 UTC
Note that we don't version the summary until there's a fixed version in tree. Thanks for reporting!

William, please bump.